On Sun, 11 Feb 2001, Daniel Eischen wrote:

> On Sun, 11 Feb 2001, Daniel Eischen wrote:
> > deischen    2001/02/11 14:06:46 PST
> > 
> >   Modified files:
> >     include              stdio.h 
> >   Log:
> >   libc MT-safety, part 2.
> >   
> >   Add a lock to FILE and define an additional flag.
> This commit caused some bootstrap problems.  The installworld failed
> installing perl which seemed to need sed (from /usr/bin/sed), and libc
> got installed before sed.  I used the following to install:

I think this is telling you that the new libc is incompatible with old
applications.  Installworld uses sed from ${INSTALLTMP}/sed.  It copies
sed from /usr/bin/sed at the start to (almost) ensure that only the old
version is used.  If perl actually uses /usr/bin/sed, then that is
another bug in perl, but since perl is installed before sed, this makes
no difference because /usr/bin/sed is still the old version.


To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-current" in the body of the message

Reply via email to